Get metadata on all Meetings
curl --request GET \
--url https://api.affinity.co/v2/meetings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/meetings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"loggingType": "automated",
"title": "Example title",
"startTime": "2023-01-01T00:00:00Z",
"endTime": "2023-01-01T00:00:00Z",
"allDay": false,
"creator": {
"emailAddress": "john.smith@contoso.com",
"person": {
"id": 1,
"firstName": "Jane",
"lastName": "Doe",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
}
},
"organizer": {
"emailAddress": "john.smith@contoso.com",
"person": {
"id": 1,
"firstName": "Jane",
"lastName": "Doe",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
}
},
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z",
"attendeesPreview": {
"data": [
{
"emailAddress": "john.smith@contoso.com",
"person": {
"id": 1,
"firstName": "Jane",
"lastName": "Doe",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
}
}
],
"totalCount": 200
}
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Meetings
Get metadata on all Meetings
Paginate through all Meetings in Affinity. Returns basic information about past and future meeting interactions and its attendees.
You can filter meetings using the filter query parameter. The filter parameter is a string that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
id | int64 | = | id=1|id=2|id=3 |
startTime | datetime | >, <, >=, <= | startTime>2025-01-01T01:00:00Z |
createdAt | datetime | >, <, >=, <= | createdAt<2025-01-01T01:00:00Z |
updatedAt | datetime | >, <, >=, <= | updatedAt>=2025-01-01T01:00:00Z |
GET
/
v2
/
meetings
Get metadata on all Meetings
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
100
Filter options
Was this page helpful?